#include "SudokuTask.h"

SudokuTask::SudokuTask(const int small_size)
{
   if ( small_size > 5 )
   {
      throw SudokuException(QT_TR_NOOP("Sudoku lager than 5x5 is not supported"));
   }
   if ( small_size < 2 )
   {
      throw SudokuException(QT_TR_NOOP("Sudoku smaller than 2x2 is not supported"));
   }

   this->small_size = small_size;
   size = small_size*small_size;
   values = new int [size*size];
   memset(values, 0, sizeof(int)*size*size);
}

SudokuTask::SudokuTask(const SudokuTask & copy)
{
   small_size = copy.small_size;
   size = copy.size;
   values = new int[size*size];
   memcpy(values, copy.values, sizeof(int)*size*size);
};

SudokuTask & SudokuTask::operator=( const SudokuTask & copy)
{
   delete[] values;
   small_size = copy.small_size;
   size = copy.size;
   values = new int[size*size];
   memcpy(values, copy.values, sizeof(unsigned long)*size*size);
   return *this;
}

SudokuTask::~SudokuTask()
{
   delete[] values;
};

